<h3 class="warn mat-display-1 create-account-title" fxLayoutAlign="center center">{{pageTitle}}</h3>
<form [formGroup]="resourceForm" (submit)="submitForm()" *ngIf="resourceForm">
  <div fxLayout="row" ngxSplit="row" class="row" class="create-account">
    <div fxFlex="50%">
      <div fxLayout="column" class="create-account__column-start first">
        <div fxLayout="column" fxLayoutAlign="start start" class="create-account__column slide">
          <app-slide-toggle [checkedControl]="getFormControls().personType" firstValue="PF" lastValue="PJ"></app-slide-toggle>
        </div>
        <div fxLayout="column">
          <app-input-field [field]="getFormControls().nome" [fieldName]="personTypeValue ? 'Institução/ONG' : 'Nome'"></app-input-field>
          <app-input-field [field]="getFormControls().cpfCnpj" [fieldName]="personTypeValue ? 'CNPJ' : 'CPF'"></app-input-field>
          <app-input-field [field]="getFormControls().logradouro" fieldName="Endereço"></app-input-field>
          <app-input-field [field]="getFormControls().numero" fieldName="Número"></app-input-field>
          <app-input-field [field]="getFormControls().complemento" fieldName="Complemento"></app-input-field>
          <app-input-field [field]="getFormControls().bairro" fieldName="Bairro"></app-input-field>
          <app-input-field [field]="getFormControls().cep" fieldName="CEP"></app-input-field>
          <app-input-field [field]="getFormControls().cidade" fieldName="Cidade"></app-input-field>
          <app-input-field [field]="getFormControls().uf" fieldName="UF"></app-input-field>
        </div>
      </div>
    </div>   
    <div fxFlex="50%">
     
      <div fxLayout="column" class="create-account__column-start">
       
        <div fxLayout="column" class="create-account__column second">
          <mat-form-field appearance="fill">
            <mat-label>{{personTypeValue ? 'Data abertura:' : 'Data Nascimento:'}}</mat-label>
            <input matInput [formControl]="getFormControls().dtNascimento" [matDatepicker]="dtNascimento">
            <mat-datepicker-toggle matSuffix [for]="dtNascimento"></mat-datepicker-toggle>
            <mat-datepicker #dtNascimento></mat-datepicker>
          </mat-form-field>
          <app-input-field [field]="getFormControls().email" fieldName="E-mail"></app-input-field>
          <app-input-field [field]="getFormControls().telefone" fieldName="Telefone"></app-input-field>
        </div>
        <div fxLayout="column" class="create-account__column">
          <app-input-field [field]="getFormControls().user" fieldName="Usuário"></app-input-field>
          <app-input-field [field]="getFormControls().password" fieldName="Senha"></app-input-field>
        </div>
        <div fxLayout="column" class="add-person__column second">
         
          <section>
            <div fxLayout="row" fxFlex="100%" fxLayoutAlign="center center" >
              <div fxLayout="column" fxFlex="50%" fxLayoutAlign="start start" >
                <mat-label>Foto de perfil</mat-label>
              </div>
              <div fxLayout="row" fxFlex="50%" fxLayoutAlign="center center" >
                <div fxLayout="column" fxFlex="100%" fxLayoutAlign="start start" >
                  <button mat-mini-fab color="warn" type="button" (click)="fotoPerfil.click()">
                    <mat-icon>upload_file</mat-icon>
                  </button>
                  <input hidden type="file" #fotoPerfil id="fotoPerfil" (change)="onFileChange($event)"/>
                </div>
              </div>
            </div>
          </section>

          <section>
            <div fxLayout="row" fxFlex="100%" fxLayoutAlign="center center" >
              <div fxLayout="column" fxFlex="50%" fxLayoutAlign="start start" >
                <mat-label>Galeria de imagens</mat-label>
              </div>
              <div fxLayout="column" fxFlex="100%" fxLayoutAlign="start start" >
                <button mat-mini-fab color="warn" type="button" (click)="galeria.click()">
                  <mat-icon>upload_file</mat-icon>
                </button>
                <input hidden multiple type="file" #galeria id="galeria" (change)="onFileChange($event)"/>
              </div>
            </div>
          </section>
          <div fxLayout="row">
            <div fxLayout="row" fxFlex="100%" class="add-pet__column-list-images" fxLayoutAlign="space-between center" >
              <img *ngFor='let url of fotoPerfilImage' class="foto-perfil" [src]="url">
              <img *ngFor='let url of fotosPessoa'  [src]="url">
            </div>
          </div>
        </div>
       
        <div fxLayout="column" fxLayoutAlign="center center" class="create-account__column-action">
          <button
          mat-raised-button
          type="submit"
          color="warn"
          class="login"
          >CADASTRAR</button>
        </div>
      </div>
    </div>
  </div>
</form>
